package com.ylx.collect.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.collect.domain.Collect;
import com.ylx.collect.domain.dto.CollectOperateDTO;
import com.ylx.collect.domain.dto.CollectSearchDTO;
import com.ylx.collect.domain.vo.CollectPageVO;

/**
 * 收藏表 服务类
 */
public interface CollectService extends IService<Collect> {

    boolean addCollect(CollectOperateDTO dto);

    boolean cancelCollect(CollectOperateDTO dto);

    Page<CollectPageVO> page(CollectSearchDTO dto);

    boolean isCollected(Long merchantId);
}
